=== debian/control ===
Source: pngcheck
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pngcheck.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pngcheck.git
Homepage: http://freshmeat.net/projects/pngcheck

Package: pngcheck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: print info and check PNG, JNG and MNG files
 pngcheck verifies the integrity of PNG, JNG and MNG files (by checking the
 internal 32-bit CRCs or checksums) and optionally dumps almost all of the
 chunk-level information in the image in human-readable form. For example, it
 can be used to print the basic stats about an image (dimensions, bit depth,
 etc.); to list the color and transparency info in its palette; or to extract
 the embedded text annotations. All PNG and JNG chunks are supported, plus
 almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and
 ORDR). This is a command-line program with batch capabilities (e.g.,
 pngcheck *.png).
 .
 Also includes pngsplit which can split a PNG, MNG or JNG file into
 individual, numbered chunks.
