=== debian/rules ===
#!/usr/bin/make -f

PACKAGE  = pngcheck
PACKAGE2 = pngsplit

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -DUSE_ZLIB
export DEB_LDFLAGS_MAINT_APPEND	 = -Wl,--as-needed

LIBS = -lz

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE2) makeman

override_dh_auto_build: man
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
		-o $(PACKAGE) $(PACKAGE).c $(LIBS)

	cd gpl && \
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
		-o $(PACKAGE2) $(PACKAGE2).c $(LIBS)

%:
	dh $@

.PHONY: man

# End of file
