=== debian/watch ===
version=3
http://sf.net/png-mng/pngcheck-(.*)\.tar\.gz
