## pngcheck 3.0.2

=== debian/changelog ===
pngcheck (3.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/rules: avoided FTCBFS by explicitly passing CC to make.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 26 Sep 2021 22:56:24 +0000

pngcheck (3.0.2-1) experimental; urgency=medium

  * New upstream version 3.0.2.
  * debian/clean: updated to reflect the changes in the makefile patch.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/dirs: no longer needed, as debian/install creates every needed
    directory. Removed.
  * debian/install: updated to reflect changes in the makefile patch.
  * debian/manpages: updated to install upstream-provided manpages.
  * debian/patches/:
      - 010-makefile.patch: added to replace previous makefile patch and
        minimize changes from upstream.
      - 020-manpage_whatis.patch: added to provide more useful whatis entries
        for upstream manpages.
      - 10-pngsplit-format-strings.patch and 30-fix-new-source-warnings.patch:
        no longer needed, as the previously affected upstream function calls now
        use string literals instead of variables. Removed.
      - 20-pngsplit-long-options.patch: removed, as it changes upstream
        command-line interface for no good reason.
      - 40-fix-makefile-unx-dh.patch: replaced by 010-makefile.patch.
      - 50-rename-makefile-unx.patch: no longer needed, because of added
        dh_auto_build override in debian/rules. Removed.
      - 60-fix-buffer-overflow.patch: no longer needed, as new upstream version
        already contains it. Removed.
  * debian/pod2man.mk: no longer needed, as there are no *.pod files left.
    Removed.
  * debian/rules:
      - Added dh_auto_build override to use non-standard makefile name.
      - Removed export '-Wl,--as-needed' linker flag, as the bullseye toolchain
        defaults to linking with it.
  * debian/*.pod: no longer needed, as upstream now provides manpages to all
    binaries. Removed.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 08 Jun 2021 02:55:39 +0000

pngcheck (2.3.0-13) unstable; urgency=medium

  * debian/patches/60-fix-buffer-overflow.patch: added to fix CVE-2020-27818.
    Thanks to Salvatore Bonaccorso <carnil@debian.org>. (Closes: #976350)

 -- David da Silva Polverari <david.polverari@gmail.com>  Fri, 04 Dec 2020 07:24:15 +0000

pngcheck (2.3.0-12) unstable; urgency=medium

  * New maintainer. (Closes: #920120)

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 13 Jun 2020 23:19:08 -0500

pngcheck (2.3.0-11) unstable; urgency=medium

  * QA upload.
  * debian/control: changed Vcs-* URLs to salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 04 Jun 2020 18:00:07 -0500

pngcheck (2.3.0-10) unstable; urgency=medium

  * QA upload.
  * Included gpl/png-fix-IDAT-windowsize into the binary package. Consequently:
      - debian/clean: added entry.
      - debian/install: added entry.
      - debian/patches: 30-fix-new-source-warnings.patch: added to fix the
        compilation warnings.
      - debian/png-fix-IDAT-windowsize.1.pod: created to provide a manpage to
        the binary.
      - debian/tests/control: added superficial CI test.
  * debian/control: added 'Rules-Requires-Root: no' to source stanza.
  * debian/docs: created to provide the README file.
  * debian/patches/*:
      - 40-fix-makefile-unx-dh.patch: added to fix upstream makefile regarding
        DH usage and to build manpages from POD files. Also builds the package
        correctly with zlib support. Thanks to Kevin Ryde
        <user42_kevin@yahoo.com.au>.  (Closes: #909638)
      - 50-rename-makefile-unx.patch: added to rename the fixed makefile to
        'Makefile' while keeping the diffs from the previous patch.
      - Fixed typos and removed blank lines on previous headers.
  * debian/pngcheck.1.pod: added a NOTES section about the usage of
    png-fix-IDAT-windowsize to fix some of the problems found by pngcheck.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au>.  (Closes: #909919)
  * debian/png{check,split}.1.pod:
      - Fixed some minor typos.
      - Updated the SYNOPSIS and OPTIONS sections according to the program
        options.
  * debian/rules:
      - Moved manpage generation target to 40-fix-makefile-unx-dh.patch.
      - Removed dh_auto_build override.
  * debian/tests/control: added superficial restriction to the trivial tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Improved the rule.
      - Using a secure URL.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 31 May 2020 17:25:54 -0500

pngcheck (2.3.0-9) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/control: updated Homepage field.
  * debian/copyright:
      - Added debian/tests/openlogo-nd-100.png paragraph.
      - Removed non-standard X-* fields.
      - Updated Source field.
      - Updated upstream and packaging copyright years.
      - Using a secure URI in Format field.
  * debian/pod2man.mk: modified man page build to use latest debian/changelog
      entry timestamp instead of local date to make the package build
      reproducibly (Closes: #795987). Thanks to Eduard Sanou
      <dhole@openmailbox.org>.
  * debian/rules: included buildtools.mk to fix FTCBFS (Closes: #895298).
      Thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/source/include-binaries: created to include new file
      (debian/tests/openlogo-nd-100.png).
  * debian/tests/control: created to perform trivial CI tests.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 19 May 2020 01:46:20 -0500

pngcheck (2.3.0-8) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920120)

