=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pngcheck
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pngcheck.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/pngcheck.git
-Homepage: http://freshmeat.net/projects/pngcheck
+Maintainer: David da Silva Polverari <david.polverari@gmail.com>
+Build-Depends: debhelper-compat (= 13), zlib1g-dev
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/pngcheck
+Vcs-Git: https://salsa.debian.org/debian/pngcheck.git
+Homepage: http://www.libpng.org/pub/png/apps/pngcheck.html
 
 Package: pngcheck
 Architecture: any
