=== debian/tests/control ===
Test-Command: pngcheck -h
Restrictions: superficial

Test-Command: pngcheck debian/tests/openlogo-nd-100.png

Test-Command: pngsplit 2>&1 | grep pngsplit
Restrictions: allow-stderr, superficial

Test-Command: png-fix-IDAT-windowsize | grep 'png-fix-IDAT-windowsize'
Restrictions: allow-stderr, superficial

Test-Command: cp debian/tests/openlogo-nd-100.png $AUTOPKGTEST_TMP/test.png;
              cd $AUTOPKGTEST_TMP;
              pngsplit test.png;
              cat test.png.* > concat.png;
              diff test.png concat.png
