## pngcheck 3.0.3

=== debian/changelog ===
pngcheck (3.0.3-3) unstable; urgency=medium

  * debian/patches/020-manpage_whatis.patch: updated Forwarded field after patch
    was forwarded to project's mailing list.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 16 Jul 2023 02:32:49 +0000

pngcheck (3.0.3-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 02 Jul 2023 04:55:23 +0000

pngcheck (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3. (Closes: #1021278, LP: #1960400)
  * debian/patches/020-manpage_whatis.patch: fixed to reflect upstream changes.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 05 Dec 2022 20:08:12 +0000

pngcheck (3.0.2-4) unstable; urgency=medium

  * debian/watch: changed the download URL to the homepage as the previous one
    only hosts the Win32 source zip.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 05 Dec 2022 10:52:05 -0300

pngcheck (3.0.2-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/tests/control: changed test to avoid failing only because of warning.
    Thanks to Paul Gevers <elbrus@debian.org>. (Closes: #1024180)

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 24 Nov 2022 15:14:37 +0000
