=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: David da Silva Polverari <david.polverari@gmail.com>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pngcheck
 Vcs-Git: https://salsa.debian.org/debian/pngcheck.git
