=== debian/watch ===
version=4
opts="pagemangle=s{<A HREF}{<a href}g" \
http://www.libpng.org/pub/png/apps/pngcheck.html ../src/pngcheck-(\d\S+)\.tar\.(?:bz2|gz|xz)
