=== debian/changelog ===
pngcheck (4.0.0+git20250707.6419815-1) unstable; urgency=medium

  * New upstream version 4.0.0+git20250707.6419815. (Closes: #1111983)
      - Chosen  instead of 4.0.0  because upstream has  removed pngsplit
        and png-fix-IDAT-windowsize, and will  not maintain  them further.
        Besides,  they have  not  been fixed  for  issues like  signedness
        comparison  issues, so  building 4.0.0  with GCC-15  would require
        non-trivial patches.
  * Upstream source code moved from old homepage to GitHub. Consequently:
      - debian/control: updated 'Homepage' field. (LP: #2100335)
      - debian/copyright:
          ~ Changed the 'Comment' field to explain rationale.
          ~ Updated 'Source' field.
          ~ Updated 'Upstream-Contact' field.
      - debian/watch:
          ~ Updated to version 5.
          ~ Rewritten for the new repository.
  * Upstream removed the auxiliary tools pngsplit and png-fix-IDAT-windowsize
    from source code. Consequently:
      - debian/control: removed pngsplit description paragraph.
      - debian/copyright: removed now superfluous file patterns.
      - debian/install: deleted entries for removed binaries.
      - debian/manpages: deleted entry for removed manpages.
      - debian/tests/control: deleted tests for removed binaries.
  * debian/NEWS: created to warn user about tools removal.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Updated maintainer email address.
  * debian/copyright:
      - Added new Files and corresponding License stanzas.
      - Updated packaging copyright information.
      - Updated upstream copyright information.
  * debian/docs: updated from README to README.md to match upstream renaming.
  * debian/patches/*:
      - All patches were adjusted for the new version.
      - Updated author email.
  * debian/rules:
      - Added override_dh_auto_configure to keep using make instead of CMake.
      - Updated Makefile name on `make` invocation.

 -- David da Silva Polverari <polverari@debian.org>  Fri, 12 Sep 2025 00:36:27 +0000
