=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pngcheck
 Section: graphics
 Priority: optional
-Maintainer: David da Silva Polverari <david.polverari@gmail.com>
+Maintainer: David da Silva Polverari <polverari@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pngcheck
 Vcs-Git: https://salsa.debian.org/debian/pngcheck.git
-Homepage: http://www.libpng.org/pub/png/apps/pngcheck.html
+Homepage: https://github.com/pnggroup/pngcheck
 
 Package: pngcheck
 Architecture: any
@@ -22,6 +22,3 @@
  almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and
  ORDR). This is a command-line program with batch capabilities (e.g.,
  pngcheck *.png).
- .
- Also includes pngsplit which can split a PNG, MNG or JNG file into
- individual, numbered chunks.
