=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

# Fixes FTCBFS. See https://bugs.debian.org/895298
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

# Avoids FTCBFS by passing CC to make explicitly.
override_dh_auto_build:
	make CC=$(CC) -f Makefile

# dh_auto_configure detects CMakeLists.txt and thinks we want to use cmake for
# the build.  We override it to keep using make.
override_dh_auto_configure:
