=== debian/tests/control ===
Test-Command: pngcheck -h
Restrictions: superficial

Test-Command: pngcheck debian/tests/openlogo-nd-100.png | grep '^OK:'
Restrictions: allow-stderr
