=== debian/changelog ===
pngcheck (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1.
  * debian/control: remove redundant 'Rules-Requires-Root: no', as it is the
    default since dpkg 1.22.13.
  * debian/patches/020-manpage_whatis.patch: adjust patch for new version.

 -- David da Silva Polverari <polverari@debian.org>  Thu, 18 Dec 2025 23:47:49 +0000
