=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: David da Silva Polverari <polverari@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pngcheck
 Vcs-Git: https://salsa.debian.org/debian/pngcheck.git
 Homepage: https://github.com/pnggroup/pngcheck
